## texlive-extra 2012.20120611

=== Makefile ===
# Makefile for Eplain.  This file is public domain.

VERSION     = 3.4
DIST_NAME   = eplain-$(VERSION)

# Categories of the files in the source tree.
SOURCES     = arrow.tex btxmac.tex ifpdf.sty path.sty texnames.sty xeplain.tex
SUPPORT     = Makefile NEWS PROJECTS README README.TDS INSTALL AUTHORS \
              ChangeLog COPYING eplain.ini util/pdfcrop.pl util/mkdist-*
MANUALS     = $(patsubst %,doc/%,Makefile *.texi btxdoc.bib btxdoc.tex texinfo.tex)
TESTS       = $(patsubst %,test/%,*.tex *.bib *.map *.mst *.eps)
UTILS       = util/idxuniq util/trimsee
DEMOS       = demo/Makefile demo/*.tex
JPEG_DEMOS  = doc/xhyper.jpg doc/lscommnt.jpg

# TDS tree directories.  Must start with $(DIST_NAME)/
DIR_MAIN    = $(DIST_NAME)/tex/eplain
DIR_DOC     = $(DIST_NAME)/doc/eplain
DIR_SOURCE  = $(DIST_NAME)/source/eplain
DIR_ZSOURCE = $(DIR_SOURCE)/eplain-source-$(VERSION)

# Files to go under the $(DIR_*) directories.
FILES_MAIN  = eplain.tex arrow.tex btxmac.tex eplain.ini
FILES_DOC   = AUTHORS COPYING ChangeLog INSTALL NEWS PROJECTS README \
              doc/eplain.info doc/eplain.html doc/eplain.pdf $(DEMOS) \
              $(JPEG_DEMOS) $(UTILS)
FILES_SOURCE= xeplain.tex
FILES_ZSOURCE= $(SOURCES) $(SUPPORT) $(MANUALS) $(TESTS) $(UTILS) $(DEMOS)

INSTALL     = install
ZIP         = zip
TAR_FLAGS   = 
GZIP_FLAGS  = 
ZIP_FLAGS   = -q

.PHONY: default alldoc doc dvi ps pdf html info btxdoc dist
.PHONY: $(DIST_NAME) $(DIR_MAIN) $(DIR_DOC) $(DIR_SOURCE) $(DIR_ZSOURCE)
.PHONY: clean mostlyclean distclean maintainer-clean
.DELETE_ON_ERROR:


default: eplain.tex

eplain.tex: util/mkdist-merge $(SOURCES)
	version=$(VERSION) util/mkdist-merge


alldoc:
	cd doc && $(MAKE)

doc:
	cd doc && $(MAKE) doc

dvi:
	cd doc && $(MAKE) dvi

ps:
	cd doc && $(MAKE) ps

pdf doc/eplain.pdf:
	cd doc && $(MAKE) pdf

html doc/eplain.html $(JPEG_DEMOS):
	cd doc && $(MAKE) html

info doc/eplain.info:
	cd doc && $(MAKE) info

btxdoc:
	cd doc && $(MAKE) btxdoc

INSTALL:
	cd doc && $(MAKE) ../INSTALL


dist: $(DIST_NAME) $(DIR_MAIN) $(DIR_DOC) $(DIR_SOURCE) $(DIR_ZSOURCE)
	@echo C $(DIR_MAIN)/eplain.aux
	@echo -e "\
% This eplain.aux file is installed for the sake of initex.  Running\n\
% initex without this file will produce eplain.fmt which will never\n\
% issue warning messages about undefined labels.\n" > $(DIR_MAIN)/eplain.aux
	@echo A $(DIST_NAME)/README
	@cp README.TDS $(DIST_NAME)/README
	@echo
	@echo C `dirname $(DIR_ZSOURCE)`/`basename $(DIR_ZSOURCE)`.zip
	@cd `dirname $(DIR_ZSOURCE)` && $(ZIP) -r $(ZIP_FLAGS) \
	  `basename $(DIR_ZSOURCE)`.zip `basename $(DIR_ZSOURCE)`
	@rm -rf $(DIR_ZSOURCE)
	@echo C $(DIST_NAME).tar.gz
	@tar -c $(TAR_FLAGS) $(DIST_NAME) | gzip $(GZIP_FLAGS) > $(DIST_NAME).tar.gz
	@rm -rf $(DIST_NAME)
	@echo

$(DIST_NAME):
	@rm -rf $(DIST_NAME)

$(DIR_MAIN): $(FILES_MAIN)
$(DIR_DOC): $(FILES_DOC)
$(DIR_SOURCE): $(FILES_SOURCE)
$(DIR_ZSOURCE): $(FILES_ZSOURCE)

$(DIR_MAIN) $(DIR_DOC) $(DIR_SOURCE) $(DIR_ZSOURCE):
	@echo D $@
	@$(INSTALL) -d $@
	@for file in $^; do \
	  echo A $@/$$file; \
	  cp --parents $$file $@; \
	done
	@echo


define clean-cmds
rm -rf $(DIST_NAME)
endef

define distclean-cmds
$(clean-cmds)
rm -f $(DIST_NAME).tar.gz
rm -f eplain.fmt eplain.log
endef

define maintainer-clean-cmds
$(distclean-cmds)
rm -f eplain.tex
endef

clean mostlyclean:
	$(clean-cmds)
	cd doc && $(MAKE) $@
	cd demo && $(MAKE) $@

distclean:
	$(distclean-cmds)
	cd doc && $(MAKE) distclean
	cd demo && $(MAKE) distclean

maintainer-clean:
	$(maintainer-clean-cmds)
	cd doc && $(MAKE) maintainer-clean
	cd demo && $(MAKE) maintainer-clean

=== texmf-dist/doc/fonts/xits/Makefile ===
NAME=xits
VERSION=1.106

SRC=sources
DOC=documentation
DOCSRC=$(DOC)/$(DOC)-$(SRC)
DIST=$(NAME)-$(VERSION)

FF=fontforge -lang=ff
POSTPROCESS=./postprocess.py
FFLAGES=0x200000
SCRIPT='Open($$1);\
       if ($$argc>3)\
         MergeFeature($$2);\
       endif;\
       SetFontNames("","","","","","$(VERSION)");\
       Generate($$argv[$$argc-1], "", $(FFLAGES))'

FONTS=math mathbold regular bold italic bolditalic
DOCS=user-guide xits-specimen
FEA=xits.fea

SFD=$(FONTS:%=$(SRC)/$(NAME)-%.sfd)
OTF=$(FONTS:%=$(NAME)-%.otf)
TEX=$(DOCS:%=$(DOCSRC)/%.tex)
PDF=$(DOCS:%=$(DOC)/%.pdf)

all: otf

otf: $(OTF)

xits-math.otf: $(SRC)/xits-math.sfd Makefile $(POSTPROCESS)
	@echo "Building $@"
	@$(FF) -c $(SCRIPT) $< $@ 2>/dev/stdout 1>/dev/stderr | tail -n +4
	@$(POSTPROCESS) $@
	@mv $@.post $@

xits-mathbold.otf: $(SRC)/xits-mathbold.sfd Makefile $(POSTPROCESS)
	@echo "Building $@"
	@$(FF) -c $(SCRIPT) $< $@ 2>/dev/stdout 1>/dev/stderr | tail -n +4
	@$(POSTPROCESS) $@
	@mv $@.post $@

%.otf: $(SRC)/%.sfd Makefile $(POSTPROCESS)
	@echo "Building $@"
	@$(FF) -c $(SCRIPT) $< $(SRC)/$(FEA) $@ 2>/dev/stdout 1>/dev/stderr | tail -n +4
	@$(POSTPROCESS) $@
	@mv $@.post $@

doc: $(PDF)

$(DOC)/%.pdf: $(DOCSRC)/%.tex
	@echo "Building $@"
	@context --nonstopmode --result=$@ $< 1>/dev/null

FONTLOG.txt: FONTLOG.txt.in
	@echo "Generating $@"
	@./tools/fontcoverage.py tools/Blocks.txt $< $(SFD) > $@

dist: $(OTF) $(PDF) FONTLOG.txt
	@echo "Making dist tarball"
	@mkdir -p $(DIST)/$(SRC)
	@mkdir -p $(DIST)/$(DOC)
	@mkdir -p $(DIST)/$(DOCSRC)
	@cp $(SFD) $(DIST)/$(SRC)
	@cp $(SRC)/$(FEA) $(DIST)/$(SRC)
	@cp $(OTF) $(DIST)
	@cp -r $(PDF) $(DIST)/$(DOC)
	@cp -r $(TEX) $(DIST)/$(DOCSRC)
	@cp -r $(POSTPROCESS) Makefile OFL-FAQ.txt OFL.txt FONTLOG.txt tex $(DIST)
	@cp README.md $(DIST)/README.txt
	@zip -r $(DIST).zip $(DIST)

clean:
	@rm -rf $(OTF) $(DIST) $(DIST).zip

=== texmf-dist/doc/latex/nameauth/Makefile ===
engine ?= pdflatex	# Override on the command line
			# with engine=latex
			# or with engine=lualatex
			# or with engine=xelatex.

# The pdf target is the normal one. It omits the code listing.
pdf	:	sty
		$(engine) -draftmode "\AtBeginDocument{\OnlyDescription} \input nameauth.dtx"
		makeindex -s gglo.ist -o nameauth.gls nameauth.glo
		makeindex -s gind.ist -o nameauth.ind nameauth.idx
		$(engine) "\AtBeginDocument{\OnlyDescription} \input nameauth.dtx"
		$(engine) "\AtBeginDocument{\OnlyDescription} \input nameauth.dtx"

# Making this target includes the code listing
fullpdf	:	sty
		$(engine) nameauth.dtx
		makeindex -s gglo.ist -o nameauth.gls nameauth.glo
		makeindex -s gind.ist -o nameauth.ind nameauth.idx
		$(engine) nameauth.dtx
		$(engine) nameauth.dtx

sty	:	nameauth.dtx nameauth.ins
		$(engine) nameauth.ins

clean	:
		rm -f nameauth.aux
		rm -f nameauth.glo
		rm -f nameauth.gls
		rm -f nameauth.idx
		rm -f nameauth.ilg
		rm -f nameauth.ind
		rm -f nameauth.log
		rm -f nameauth.out
		rm -f nameauth.toc
		rm -f nameauth.hd
		rm -f nameauth.top

clobber	:	clean
		rm -f nameauth.dvi
		rm -f nameauth.pdf
		rm -f nameauth.sty
		touch nameauth.*

dist:		pdf clean

=== texmf-dist/source/fonts/cantarell/Makefile ===
## Makefile
## Copyright 2011 Mohamed El Morabity
#
# This work may be distributed and/or modified under the conditions of the LaTeX
# Project Public License, either version 1.3 of this license or (at your option)
# any later version. The latest version of this license is in
# http://www.latex-project.org/lppl.txt and version 1.3 or later is part of all
# distributions of LaTeX version 2005/12/01 or later.
#
# This work has the LPPL maintenance status `maintained'.
#
# The Current Maintainer of this work is Mohamed El Morabity
#
# This work consists of all files listed in manifest.txt.

######################
# Fonts informations #
######################

FONT_NAME = cantarell
FOUNDRY = public
FONT_CODES = fca

# Supported LaTeX encodings
SUPPORTED_ENCODINGS = ot1 t1 ts1
# Supported LaTeX encodings containing small caps
SUPPORTED_SC_ENCODINGS = $(filter-out ts1,$(SUPPORTED_ENCODINGS))
# Custom encodings provided
INPUT_ENCODINGS = $(INPUT_ETX_FILES:$(FONT_NAME)-%.etx=%)


#####################
# Installation root #
#####################

TEXMFHOME = $(shell kpsexpand '$$TEXMFHOME')


###########
# Archive #
###########

ARCHIVE_ROOT = $(FONT_NAME)
ARCHIVE = $(FONT_NAME).zip


###########
# Sources #
###########

FONTFORGE_FILES = $(wildcard *.sfd)

# Fontinst files
FONTINST_FILE = $(FONT_NAME)-drv.tex
FONTINST_MAP_FILE = $(FONT_NAME)-map.tex

# Custom Fontinst encoding files
INPUT_ETX_FILES = $(FONT_NAME)-01.etx $(FONT_NAME)-02.etx
MTX_FILES = $(FONT_NAME)-fixlatin.mtx $(FONT_NAME)-fixtextcomp.mtx

STYLE_FILES = $(wildcard *.sty)

DOCUMENTATION = $(FONT_NAME).tex $(FONT_NAME).pdf $(FONT_NAME)-samples.tex $(FONT_NAME)-samples.pdf README CHANGES

# Files to be installed in texmf/source
SOURCE_FILES = $(FONTFORGE_FILES) $(FONTINST_FILE) $(FONTINST_MAP_FILE) $(INPUT_ETX_FILES) $(MTX_FILES) Makefile sfd2type1.pe


###################
# Generated files #
###################

TYPE1_FILES = $(FONTFORGE_FILES:.sfd=.pfb)
AFM_FILES = $(TYPE1_FILES:.pfb=.afm)

# Fontinst log file
FONTINST_REC_FILE = $(FONT_NAME)-rec.tex

# Metrics files
PL_FILES = $(foreach e,$(INPUT_ENCODINGS),            \
             $(FONTFORGE_FILES:.sfd=-$(e).pl)         \
             $(FONTFORGE_FILES:.sfd=-Slanted-$(e).pl) \
           )
OUTPUT_MTX_FILES = $(PL_FILES:.pl=.mtx)
VPL_FILES = $(foreach e,$(SUPPORTED_ENCODINGS),                   \
              $(FONTFORGE_FILES:.sfd=-$(e).vpl)                   \
              $(FONTFORGE_FILES:.sfd=-Slanted-$(e).vpl)           \
            )                                                     \
            $(foreach e,$(SUPPORTED_SC_ENCODINGS),                \
              $(FONTFORGE_FILES:.sfd=-SmallCaps-$(e).vpl)         \
              $(FONTFORGE_FILES:.sfd=-Slanted-SmallCaps-$(e).vpl) \
            )
TFM_FILES = $(PL_FILES:.pl=.tfm) $(VPL_FILES:.vpl=.tfm)
VF_FILES = $(VPL_FILES:.vpl=.vf)

MAP = $(FONT_NAME).map

# Font definition files
FD_FILES = $(foreach e,$(SUPPORTED_ENCODINGS), \
             $(foreach f,$(FONT_CODES),        \
               $(e)$(f).fd                     \
             )                                 \
           )

# Generated encoding files
ENC_FILES = $(INPUT_ETX_FILES:.etx=.enc)

# Generated files to be installed
GENERATED_FILES = $(TYPE1_FILES) $(AFM_FILES) $(TFM_FILES) $(VF_FILES) $(MAP) $(FD_FILES) $(ENC_FILES)


default: all


all: dist


dist: $(ARCHIVE)


%.pfb %.afm: %.sfd
	fontforge sfd2type1.pe $<


%.tfm: %.pl
	pltotf $< $@


%.tfm: %.vpl
	vptovf $^ $


%.vf: %.vpl
	vptovf $^ $@


$(FONTINST_REC_FILE): $(AFM_FILES) $(MTX_FILES) $(FONTINST_FILE)
	latex $(FONTINST_FILE)


$(PL_FILES) $(VPL_FILES): $(FONTINST_REC_FILE)


$(MAP): $(FONTINST_REC_FILE) $(FONTINST_MAP_FILE)
	latex $(FONTINST_MAP_FILE)


$(FD_FILES) $(ENC_FILES): $(MAP)


texmf-tree: clean-texmf-tree $(GENERATED_FILES) $(SOURCES_FILES)
	mkdir -p $(ARCHIVE_ROOT)/doc/fonts/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/tex/latex/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/fonts/{enc,map}/dvips/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/fonts/{afm,tfm,type1,vf}/$(FOUNDRY)/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/source/fonts/$(FONT_NAME)/
	cp -p $(DOCUMENTATION) $(ARCHIVE_ROOT)/doc/fonts/$(FONT_NAME)/
	cp -p $(FD_FILES) $(STYLE_FILES) $(ARCHIVE_ROOT)/tex/latex/$(FONT_NAME)/
	cp -p $(ENC_FILES) $(ARCHIVE_ROOT)/fonts/enc/dvips/$(FONT_NAME)/
	cp -p $(MAP) $(ARCHIVE_ROOT)/fonts/map/dvips/$(FONT_NAME)/
	cp -p $(AFM_FILES) $(ARCHIVE_ROOT)/fonts/afm/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(TFM_FILES) $(ARCHIVE_ROOT)/fonts/tfm/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(TYPE1_FILES) $(ARCHIVE_ROOT)/fonts/type1/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(VF_FILES) $(ARCHIVE_ROOT)/fonts/vf/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(SOURCE_FILES) $(ARCHIVE_ROOT)/source/fonts/$(FONT_NAME)/
	cp -p README $(ARCHIVE_ROOT)
	cd $(ARCHIVE_ROOT) && find . -type f > manifest.txt


$(ARCHIVE): clean-texmf-tree texmf-tree
	zip -r $@ $(ARCHIVE_ROOT)


install: texmf-tree
	mkdir -p $(TEXMFHOME)
	cp -a $(ARCHIVE_ROOT)/* $(TEXMFHOME)
	texhash
	updmap --enable Map=$(MAP)


uninstall:
	$(RM) -r $(TEXMFHOME)/doc/latex/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/tex/latex/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/fonts/{enc,map}/dvips/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/fonts/{afm,tfm,type1,vf}/$(FOUNDRY)/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/source/$(FONT_NAME)/
	updmap --disable $(MAP)
	texhash


clean: clean-texmf-tree
	$(RM) $(TYPE1_FILES) $(AFM_FILES)
	$(RM) $(FONTINST_REC_FILE)
	$(RM) $(PL_FILES) $(TYPE1_FILES:.pfb=.pl)
	$(RM) $(OUTPUT_MTX_FILES) $(TYPE1_FILES:.pfb=.mtx)
	$(RM) $(VPL_FILES)
	$(RM) $(TFM_FILES)
	$(RM) $(VF_FILES)
	$(RM) $(MAP)
	$(RM) $(FD_FILES)
	$(RM) $(ENC_FILES)
	$(RM) $(ARCHIVE)
	$(RM) *~ *.log


clean-texmf-tree:
	$(RM) -r $(ARCHIVE_ROOT)


.PHONY: clean clean-texmf-tree texmf-tree

=== texmf-dist/source/generic/pst-barcode/Makefile ===

# `Makefile' for `pst-coil.pdf', hv, 2006/08/11

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-barcode

MAIN = pst-barcode-doc

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

TDS = ~/PSTricks/PSTricks-TDS

all : doc clean
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out )
	$(RM) $(addprefix $(MAIN), .dvi .ps)

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/source/generic/pst-circ/Makefile ===
# `Makefile' for `pst-circ.pdf', hv, 2007/03/17

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-circ

MAIN = $(PACKAGE)-doc

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

TDS = ~/PSTricks/PSTricks-TDS

all : doc clean tds
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out .blg .Roessler .bbl )
	$(RM) $(addprefix $(MAIN), .dvi .ps)

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
	cp -u more_docs/*.pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/

# EOF

=== texmf-dist/source/generic/pst-func/Makefile ===
# `Makefile' for `pst-func.pdf', hv, 2006/08/11

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-func

MAIN = $(PACKAGE)-doc

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

TDS = ~/PSTricks/PSTricks-TDS

all : doc clean tds 
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -s pst-doc.ist -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .bbl .blg .glg .glo .gls .ilg .idx .ind .tmp .toc .out )
	$(RM) $(addprefix $(MAIN), .dvi .ps .xcp)

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/

# EOF

=== texmf-dist/source/generic/pst-gantt/Makefile ===
# `Makefile' for `pst-func.pdf', hv, 2006/08/11

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-gantt

MAIN = $(PACKAGE)-doc

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

TDS = ~/PSTricks/PSTricks-TDS

all : doc clean tds clean
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -s pst-doc.ist -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .bbl .blg .glg .glo .gls .ilg .idx .ind .tmp .toc .out )
	$(RM) $(addprefix $(MAIN), .dvi .ps .xcp)

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/source/generic/pst-node/Makefile ===

# `Makefile' for `pst-node-doc.pdf', hv, 2010/01/22

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = pst-node

MAIN = $(PACKAGE)-doc

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

TDS = ~/PSTricks/PSTricks-TDS

all : doc clean 
#tds
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<
#	echo "\documentclass[a4paper]{article}" > temp.tex
#	echo "\usepackage{pdfpages}" >> temp.tex
#	echo "\begin{document}" >> temp.tex
#	echo "\includepdf[pages=1-4]{pst-node-doc}" >> temp.tex
#	echo "\includepdf[pages=6-32]{pst-docfull}" >> temp.tex
#	echo "\includepdf[pages=5-]{pst-node-doc}" >> temp.tex
#	echo "\end{document}" >> temp.tex
#	pdflatex temp
#	mv temp.pdf pst-node-doc.pdf

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
	makeindex -s pst-doc.ist -t $(basename $<).ilg -o $(basename $<).ind \
	  $(basename $<).idx
	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out )
	$(RM) $(addprefix $(MAIN), .dvi .ps .blg .bbl)
#	rm temp*

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u *.sty ~/Links/texmf-local-latex/$(PACKAGE)/
	cp -u *.pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE)97.tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE)97.pro $(TDS)/dvips/$(PACKAGE)/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/source/latex/mdframed/Makefile ===
################################################################
## Makefile for mdframed project folder
## $Id: Makefile 321 2012-01-09 18:57:42Z marco $
################################################################
## Definitions
################################################################
.SILENT:
SHELL     := /bin/bash
.PHONY: all clean ctan allwithoutclean
################################################################
## Name list
################################################################
PACKAGE   = mdframed
EXAMPLED  = mdframed-example-default
EXAMPLET  = mdframed-example-tikz
EXAMPLEP  = mdframed-example-pstricks
EXAMPLESX = mdframed-example-texsx
EXAMPLLIST=  $(EXAMPLED) $(EXAMPLET) $(EXAMPLEP) $(EXAMPLESX) 
FILELIST  =  $(PACKAGE) $(EXAMPLED) $(EXAMPLET) $(EXAMPLEP) $(EXAMPLESX)
AUXFILES  = aux dtxe glo glolog gls hd ins idx idxlog ilg ind log out ps thm tmp toc 
################################################################
## Colordefinition
################################################################
NO_COLOR    = \x1b[0m
OK_COLOR    = \x1b[32;01m
WARN_COLOR  = \x1b[33;01m
ERROR_COLOR = \x1b[31;01m
################################################################
## make help
################################################################
help:
	@echo 
	@echo -e "$(WARN_COLOR)The following definitions provided by this Makefile"
	@echo -e "$(OK_COLOR)\tmake docsty\t\t--\ttypesets the documenation and the package"
	@echo -e "$(OK_COLOR)\tmake all\t\t--\trun docsty examples clean"
	@echo -e "\tmake examples\t\t--\tcompiles all example files"
	@echo -e "\tmake clean\t\t--\tremove all helpfiles created by mdframed"
	@echo -e "\tmake changeversion\t--\tmaintaner tool to change the version"
	@echo -e "$(WARN_COLOR)End help$(NO_COLOR)"

################################################################
## Compilation
################################################################
%.pdf: %.tex
	NAME=`basename $< .tex` ;\
	echo -e "" ;\
	echo -e "\t$(ERROR_COLOR)Typesetting $$NAME$(NO_COLOR)" ;\
	pdflatex -draftmode -interaction=nonstopmode $< > /dev/null ;\
	if [ $$? = 0 ] ; then \
	  echo -e "\t$(OK_COLOR)compilation in draftmode without erros$(NO_COLOR)" ;\
	  echo -e "\t$(OK_COLOR)Run PDFLaTeX again on $$NAME.tex$(NO_COLOR)" ;\
	  pdflatex -interaction=nonstopmode $< > /dev/null ;\
	else \
	  echo -e "\t$(ERROR_COLOR)compilation in draftmode with erros$(NO_COLOR)" ;\
	  exit 0;\
	fi ;\
	echo -e "\t$(OK_COLOR)Typesetting $$NAME finished $(NO_COLOR)" ;\

%.ps: %.tex
	NAME=`basename $< .tex` ;\
	echo -e "" ;\
	echo -e "\t$(ERROR_COLOR)Typesetting $$NAME$(NO_COLOR)" ;\
	latex -draftmode -interaction=nonstopmode $< > /dev/null ;\
	if [ $$? = 0 ] ; then \
	  echo -e "\t$(OK_COLOR)compilation in draftmode without erros$(NO_COLOR)" ;\
	  echo -e "\t$(OK_COLOR)Run LaTeX again on $$NAME.tex$(NO_COLOR)" ;\
	  latex -interaction=nonstopmode $< > /dev/null ;\
	  dvips -q $$NAME.dvi ;\
	  ps2pdf $$NAME.ps ;\
	else \
	  echo -e "\t$(ERROR_COLOR)compilation in draftmode with erros$(NO_COLOR)" ;\
	  exit 0;\
	fi ;\
	echo -e "\t$(OK_COLOR)Typesetting $$NAME done$(NO_COLOR)" ;\
################################################################
## Compilation
################################################################
docsty: $(PACKAGE).dtx
	echo -e "" ;\
	echo -e "\t$(ERROR_COLOR)Typesetting $(PACKAGE).dtx$(NO_COLOR)" ;\
	pdflatex -draftmode -interaction=nonstopmode $(PACKAGE).dtx > /dev/null ;\
	if [ $$? = 0 ] ; then \
	  echo -e "\t$(OK_COLOR)compilation in draftmode without erros$(NO_COLOR)" ;\
	  makeindex -q -t $(PACKAGE).glolog  -s gglo.ist -o $(PACKAGE).gls $(PACKAGE).glo ;\
	  if [ $$? = 0 ] ; then \
	     echo -e "\t$(OK_COLOR)compilation of Glossar without errors$(NO_COLOR)" ;\
	  fi ;\
	  makeindex -q -t $(PACKAGE).idxlog -s gind.ist $(PACKAGE).idx ;\
	  if [ $$? = 0 ] ; then \
	     echo -e "\t$(OK_COLOR)compilation of Index without errors$(NO_COLOR)" ;\
	  fi ;\
	  pdflatex $(PACKAGE).dtx > /dev/null ;\
	  if [ $$? = 0 ] ; then \
	     echo -e "\t$(OK_COLOR)Second pdflatex compilation without erros$(NO_COLOR)" ;\
	  else \
	     echo -e "\t$(ERROR_COLOR)Second pdflatex compilation with erros$(NO_COLOR)" ;\
	     exit 0;\
	  fi ;\
	  pdflatex $(PACKAGE).dtx > /dev/null ;\
	else \
	  echo -e "\t$(ERROR_COLOR)compilation in draftmode with erros$(NO_COLOR)" ;\
	  exit 0;\
	fi ;\

examples: $(EXAMPLED).pdf $(EXAMPLET).pdf $(EXAMPLEP).ps $(EXAMPLESX).pdf

exampled: $(EXAMPLED).pdf
examplet: $(EXAMPLET).pdf
examplep: $(EXAMPLEP).ps
examplesx:$(EXAMPLESX).pdf

clean:  
	echo  "" ;\
	echo -e "\t$(ERROR_COLOR)Start removing help files$(NO_COLOR)" ;\
	for I in $(FILELIST) ;\
	do \
	  for J in $(AUXFILES) ;\
	  do \
	    rm -rf $$I.$$J ;\
	  done ;\
	done ;\
	echo -e "\t$(OK_COLOR)Removing finished$(NO_COLOR)" ;\

all:	docsty examples clean


################################################################
## maintaner tool
################################################################
changeversion:
	@echo 
	@echo -e "$(OK_COLOR)Aktuell wird die folgende Version verwendet"
	@sed '/\\def\\mdversion/!d' $(PACKAGE).sty 
	@echo -e "$(WARN_COLOR)"
	@read -p "Bitte neue Version eingeben: " REPLY &&  sed -rie "s/(\\\\def\\\\mdversion\{).*(})/\1$$REPLY\2/" $(PACKAGE).dtx&&\
	 echo -e "$(OK_COLOR)Version geändert zu $$REPLY$(NO_COLOR)"
	@echo

usectanify:
	echo  "" ;\
	echo -e "\t$(ERROR_COLOR)Start ctanify$(NO_COLOR)" ;\
	ctanify $(PACKAGE).ins $(PACKAGE).pdf README.txt ltxmdf.cls \
	        donald-duck.jpg=doc/latex/mdframed/ \
	        $(EXAMPLED).tex=doc/latex/mdframed/ \
	        $(EXAMPLED).pdf=doc/latex/mdframed/ \
	        $(EXAMPLET).tex=doc/latex/mdframed/ \
	        $(EXAMPLET).pdf=doc/latex/mdframed/ \
	        $(EXAMPLEP).tex=doc/latex/mdframed/ \
	        $(EXAMPLEP).pdf=doc/latex/mdframed/ \
	        $(EXAMPLESX).tex=doc/latex/mdframed/ \
	        $(EXAMPLESX).pdf=doc/latex/mdframed/ \
	        Makefile=source/latex/mdframed/ \
	        mdframedmake.bat=source/latex/mdframed/ \
	        md-frame-0.mdf=tex/latex/mdframed/ \
	        md-frame-1.mdf=tex/latex/mdframed/ \
	        md-frame-2.mdf=tex/latex/mdframed/ \
	        md-frame-3.mdf=tex/latex/mdframed/ ;\
	if [ $$? = 0 ] ; then \
	     echo -e "\t$(OK_COLOR)ctanify without errors$(NO_COLOR)" ;\
	     echo -e "" ;\
	else \
	  echo -e "\t$(ERROR_COLOR)ctanify with erros$(NO_COLOR)" ;\
	  exit 0;\
	fi ;\

ctan: docsty examples usectanify clean

=== texmf-dist/source/latex/paresse/Makefile ===
# ---------------------------------------------------------------
# Time-stamp: <2011-04-19 16:58:31 yvon>
# Makefile for the paresse package by Y. Henel
# modified version of the Makefile of the kerntest package 
# many thanks to Harald Harders whose kerntest.xml I have also
# hacked to obtain my paresse.xml
# ---------------------------------------------------------------
PKGNAME=paresse
VERSION=4

TESTSRCUTIL= \
	ex-com-utf8-tame.tex \
	ex-com-utf8-wild.tex \

TESTSRCTEX= \
	test-latex-8bits-tame.tlx \
	test-latex-8bits-wild.tlx \
	test-latex-utf8-tame.tlx \
	test-latex-utf8-wild.tlx \
	test-lualatex-tame.llx \
	test-lualatex-wild.llx \
	test-xelatex-tame.xlx \
	test-xelatex-wild.xlx

TESTSRC= \
	$(TESTSRCUTIL) \
	$(TESTSRCTEX)

SOURCE= Makefile \
	$(PKGNAME).dtx \
	$(PKGNAME)-doc.dtx \
	$(PKGNAME).ins \
	LISEZMOI \
	README

PDFDOC= $(PKGNAME).pdf \
	$(PKGNAME)-fr.pdf \
	$(PKGNAME)-en.pdf \
	$(PKGNAME)-ex-fr.pdf \
	$(PKGNAME)-ex-en.pdf

PDFDOCSUP = \
	 test-latex-8bits-tame.pdf \
	test-latex-8bits-wild.pdf \
	test-latex-utf8-tame.pdf \
	test-latex-utf8-wild.pdf \
	test-lualatex-tame.pdf \
	test-lualatex-wild.pdf \
	test-xelatex-tame.pdf \
	test-xelatex-wild.pdf

SRCDOC=	$(PKGNAME)-doc.dtx

TEXDOC= $(PKGNAME)-fr.ltx \
	$(PKGNAME)-en.ltx \
	$(PKGNAME)-ex-fr.elx \
	$(PKGNAME)-ex-en.elx

CTANDOC= $(PDFDOC)

DECHETS= \
	$(TEXDOC)\
	$(PDFDOC)\
	$(PDFDOCSUP)

REPERTS = \
	doc \
	tex \
	source 

TEX =   $(PKGNAME).sty \
	$(PKGNAME)utf8.sto \
	$(PKGNAME)old.sto

GARBAGE= $(wildcard *.aux)\
	$(wildcard *.log)\
	$(wildcard *.toc)\
	$(wildcard *.out)\
	$(wildcard *.glo)\
	$(wildcard *.gls)\
	$(wildcard *.ilg)\
	$(wildcard *.ind)\
	$(wildcard *.idx)\
	$(wildcard *.hd)\
	$(wildcard *.ltx)\
	$(wildcard *.elx)\
	$(wildcard *~)

# ---------------------------------------------------------------

.SUFFIXES: .sty .ins .dtx .pdf .ltx .tex .llx .xlx .tlx .elx

# ---------------------------------------------------------------
.ins.sty:
	latex $<

.dtx.pdf:
	pdflatex $<
	pdflatex $<
	makeindex -s gind.ist $(*D)/$(*F)
	makeindex -s gglo.ist -o $(*D)/$(*F).gls $(*D)/$(*F).glo
	pdflatex $<

.ltx.pdf:
	pdflatex $<
	pdflatex $<
	makeindex -s gind.ist $(*D)/$(*F)
	pdflatex $<

.elx.pdf:
	pdflatex $<
	pdflatex $<

.tlx.pdf:
	pdflatex $<

.llx.pdf:
	lualatex $<

.xlx.pdf:
	xelatex $<

# ---------------------------------------------------------------

all: $(PKGNAME).sty $(PDFDOC) $(PDFDOCSUP)\
	$(TEXDOC) $(PKGNAME).ins

# ---------------------------------------------------------------

help: 
	@-echo "******************************************************"
	@-echo "** Choisir une des options :                         *"
	@-echo "== Choose one of the options:                        *"
	@-echo "** 'all' pour produire tous les fichiers             *"
	@-echo "== 'all' to produce all the files                    *"
	@-echo "** 'clean' suppression des fichiers auxiliaires      *"
	@-echo "== 'clean' delete the auxiliary files                *"
	@-echo "** 'distclean' pour ne conserver que les sources     *"
	@-echo "== 'distclean' to keep only the sources              *"
	@-echo "******************************************************"

# ---------------------------------------------------------------

dist: all clean

# ---------------------------------------------------------------

clean:
	@-rm -f $(GARBAGE)

distclean: clean
	@-rm -f $(DECHETS)
	@-rm -f $(TEX)
	@-rm -f common.tex

# ---------------------------------------------------------------

texlive: dist
	@-rm -rf $(REPERTS)
	@-mkdir -p tex/latex/$(PKGNAME)
	@-mkdir -p doc/latex/$(PKGNAME)
	@-mkdir -p source/latex/$(PKGNAME)
	@-mkdir -p TEST	
	@-cp $(TEX) tex/latex/$(PKGNAME)
	@-cp $(CTANDOC) doc/latex/$(PKGNAME)
	@-cp $(SOURCE) source/latex/$(PKGNAME)
	@-cp $(TESTSRC) TEST
	@-zip -r $(PKGNAME)-TEST TEST/
	@-mv $(PKGNAME)-TEST.zip source/latex/$(PKGNAME)/
	@-rm -rf TEST/ 
	@-mkdir -p $(PKGNAME)
	@-cp $(CTANDOC) ./$(PKGNAME)
	@-cp $(SOURCE) ./$(PKGNAME)
	@-cp $(TEX) ./$(PKGNAME)

# ---------------------------------------------------------------

zip:	texlive
	@-rm -f $(PKGNAME).zip
	@-zip -r $(PKGNAME) $(REPERTS)
	@-rm -rf $(REPERTS)
	@-mv $(PKGNAME).zip $(PKGNAME).tds.zip
	@-zip -r $(PKGNAME) $(PKGNAME)
	@-zip -r $(PKGNAME) $(PKGNAME).tds.zip
	@-rm -rf $(PKGNAME)
	@-rm -f $(PKGNAME).tds.zip

# ---------------------------------------------------------------

ctan: zip distclean

# ---------------------------------------------------------------

doc: $(PKGNAME).ins $(PKGNAME).pdf $(PKGNAME)-doc.dtx

$(PKGNAME).sty: $(PKGNAME).ins $(PKGNAME).dtx
$(TEXDOC): $(PKGNAME).ins $(PKGNAME).dtx $(PKGNAME)-doc.dtx
$(PDFDOC): $(TEXDOC)
# ---------------------------------------------------------------
# echu e an abaden
# Le \TeX nicien de surface 2011/04/17

=== debian/changelog ===
texlive-extra (2012.20120611-2) unstable; urgency=low

  * fix broken mf2pt1 info file that triggered broken info/dir file
    under certain circumstances (Closes: #683201)

 -- Norbert Preining <preining@debian.org>  Mon, 30 Jul 2012 11:08:33 +0900

texlive-extra (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:01:55 +0900

texlive-extra (2012.20120529-1) unstable; urgency=low

  * new upstream checkout
  * add transitional dummy texlive-latex3 package to upgrade to
    texlive-latex-recommended (Closes: #673797)
  * don't ship STIX fonts, but link from fonts-stix and depend on it

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2012 19:19:02 +0900

texlive-extra (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * switch to xz compression for orig and deb (Closes: #672428)

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:22:07 +0900

texlive-extra (2011.20120509-1) unstable; urgency=low

  * new upstream snapshot (Closes: #670336)
  * texpower take over
    . ship the TL packages texpower and tpslifonts (formerly blacklisted)
    . provide a dummy transitional package texpower
    . add the necessary conflicts and depends
  * fix wrong link in README.source (Closes: #671920)
  * pdfjam take over (actually done already earlier)
    . ship the TL package pdfjam
    . provide a dummy transitional package pdfjam
    . add the necessary conflicts and depends

 -- Norbert Preining <preining@debian.org>  Wed, 25 Apr 2012 12:01:15 +0900

texlive-extra (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot
    - includes updates ucs package (Closes: #635382)
  * break against scalable-cyrfonts-tex as it ships fonts with the same
    names as in texlive-fonts-extra
  * adjust links and blacklist for new libertine fonts location in TL

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 08:38:29 +0900

texlive-extra (2011.20120322-1) unstable; urgency=low

  * replace otf/ttf fonts with links to the files in the
    respective Debian package, depend on that package
  * upload to unstable

  [ Hilmar Preuße ]

  List of fixed bugs in new TeX Live
  * new version of pst-dbicons (Closes: #619615)
  * flashcards does not fail with "Package geometry Error"
    (Closes: #501520)
  * epstopdf --nogs writes to standard output (Closes: #568167)
  * custom-bib made bibtex fail in specific cases (Closes: #580053)
  * endless loop in font2afm when converting OTF files (Closes: #641460)
  * revtex4-1 does handle multiple affiliations (Closes: #591927)
  * footbib again compatible with LaTeX (Closes: #605960)
  * ecv no longer clashes with ifpdf (Closes: #629448)
  * new version of exam.cls (Closes: #639375)
  * new version of Antykwa Półtawskiego font (Closes: #602437)
  * new version of American Chemical Society (Closes: #632934)
  * todo don't complain about bad space factor (Closes: #470141)
  * Workaround added to pdfcrop for buggy ghostscript that
    print the BoundingBox data twice (Closes: #600684)
  * new version of classicthesis and arsclassica in texlive-publishers
    (Closes: #585401)
  * new version of exercise.sty in texlive-latex-extra (Closes: #605738)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 08:37:39 +0900

texlive-extra (2011.20120314-1) experimental; urgency=low

  * new upstream with proper blacklist handling

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:52:17 +0900

texlive-extra (2011.20120226-1) experimental; urgency=low

  * new upstream, too many changes

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 21:33:19 +0900

texlive-extra (2009-10) unstable; urgency=low

  * add the forgotten epoch for musixtex dependency (Closes: #587746)

 -- Norbert Preining <preining@debian.org>  Thu, 01 Jul 2010 19:23:57 +0900

texlive-extra (2009-9) unstable; urgency=low

  * make texlive-music *not* depend on musixlyr and musixtex-slurps
    anymore, but tighten dep on new musixtex package that provides this
    functionality (Closes: #587718)

 -- Norbert Preining <preining@debian.org>  Thu, 01 Jul 2010 13:48:35 +0900

texlive-extra (2009-8) unstable; urgency=low

  [ Norbert Preining ]
  * install man page for pdfcrop (Closes: #574796)
  * update epstopdf to latest version (--output fixes) (Closes: #573540)
  * include revtex4 backward compatibility (Closes: #561836)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Added fix-bashism patch to fix bashism in listings-ext.sh
    (Closes: #581138)

  [ Hilmar Preuße ]
  * [extra] add ghostscript to the list of recommends of
    texlive-font-utils (Closes: #584329)

 -- Norbert Preining <preining@debian.org>  Sat, 19 Jun 2010 16:14:25 +0900

texlive-extra (2009-7) unstable; urgency=high

  * install man pages for pkfix and ps4pdf (Closes: #563301)
  * texlive-latex-extra replaces texlive-base-bin (<< 2008) (Closes: #564709)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jan 2010 23:49:16 +0900

texlive-extra (2009-6) unstable; urgency=low

  * install several man pages (Closes: #562498)
  * update epstopdf to current version (where --filter works)
    (Closes: #562497)
  * remove various outdated "updates" taken over from 2007 but already
    present or newer in TL2009

 -- Norbert Preining <preining@debian.org>  Fri, 25 Dec 2009 11:38:44 +0900

texlive-extra (2009-5) unstable; urgency=low

  * texlive-extra-utils: add symlinks for listings-ext, findhyph, 
    texdiff, rpdfcrop
  * texlive-formats-extra depends texlive-latex-base since it needs 
    bplain.tex (Closes: #561882)
  * more replaces (why haven't they be found by now???)
    texlive-latex-extra replaces texlive-extra-utils (for vpe.pl)
    texlive-plain-extra replaces texlive-lang-vietnamese (for MIKmathf.tex)

 -- Norbert Preining <preining@debian.org>  Tue, 22 Dec 2009 03:26:51 +0900

texlive-extra (2009-4) unstable; urgency=low



=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516)
Description: TeX Live: Extra BibTeX styles
 Additional BibTeX styles and bibliography databases, including BibLaTeX.
 .
 This package includes the following CTAN packages:
  aichej -- Bibliography style file for the AIChE Journal.
  amsrefs -- A LaTeX-based replacement for BibTeX.
  apacite -- Citation style following the rules of the APA.
  apalike2 -- Bibliography style that approaches APA requirements.
  beebe --
  bibarts -- "Arts"-style bibliographical information.
  bibexport -- Extract a BibTeX file based on a .aux file.
  bibhtml -- BibTeX support for HTML files.
  biblatex -- Bibliographies in LaTeX using BibTeX for sorting only.
  biblatex-apa -- Biblatex citation and reference style for APA.
  biblatex-bwl --
  biblatex-chem -- Chemistry styles for biblatex.
  biblatex-chicago -- Chicago style files for biblatex.
  biblatex-dw -- Humanities styles for biblatex.
  biblatex-fiwi -- Biblatex styles for use in German humanities.
  biblatex-historian -- A Biblatex style.
  biblatex-ieee -- Ieee style files for biblatex.
  biblatex-juradiss -- Biblatex stylefiles for German law thesis.
  biblatex-luh-ipw -- Biblatex styles for social sciences.
  biblatex-mla -- MLA style files for biblatex.
  biblatex-musuos -- A biblatex style for citations in musuos.cls.
  biblatex-nature -- Biblatex support for Nature.
  biblatex-nejm -- Biblatex style for the New England Journal of Medicine
   (NEJM).
  biblatex-philosophy -- Styles for using biblatex for work in philosophy.
  biblatex-science -- Biblatex support for Science.
  biblatex-swiss-legal -- Bibliography and citation styles following Swiss
   legal practice.
  biblist -- Print a BibTeX database.
  bibtopic -- Include multiple bibliographies in a document.
  bibtopicprefix -- Prefix references to bibliographies produced by bibtopic.
  bibunits -- Multiple bibliographies in one document.
  breakcites -- Ensure that multiple citations may break at line end.
  cell -- Bibliography style for Cell.
  chbibref -- Change the Bibliography/References title.
  chicago -- A "Chicago" bibliography style.
  chicago-annote -- Chicago-based annotated BibTeX style.
  chembst -- A collection of BibTeX files for chemistry journals.
  chscite -- Bibliography style for Chalmers University of Technology.
  collref -- Collect blocks of references into a single reference.
  compactbib -- Multiple thebibliography environments.
  custom-bib -- Customised BibTeX styles.
  din1505 -- Bibliography styles for German texts.
  dk-bib -- Danish variants of standard BibTeX styles.
  doipubmed -- Special commands for use in bibliographies.
  fbs -- BibTeX style for Frontiers in Bioscience.
  figbib -- Organize figure databases with BibTeX.
  footbib -- Bibliographic references as footnotes.
  geschichtsfrkl -- BibLaTeX style for historians.
  harvard -- Harvard citation package for use with LaTeX 2e.
  harvmac -- Macros for scientific articles.
  historische-zeitschrift -- Biblatex style for the journal 'Historische
   Zeitschrift'
  ijqc -- BibTeX style file for the Intl. J. Quantum Chem.
  inlinebib -- Citations in footnotes.
  iopart-num -- Numeric citation style for IOP journals.
  jneurosci -- BibTeX style for the Journal of Neuroscience.
  jurabib -- Extended BibTeX citation support for the humanities and legal
   texts.
  ksfh_nat --
  listbib -- Lists contents of BibTeX files.
  logreq -- Support for automation of the LaTeX workflow.
  margbib -- Display bibitem tags in the margins.
  multibib -- Multiple bibliographies within one document.
  munich -- An alternative authordate bibliography style.
  notes2bib -- Integrating notes into the bibliography.
  perception -- BibTeX style for the journal Perception.
  pnas2009 -- Bibtex style for PNAS.
  rsc -- BibTeX style for use with RSC journals.
  showtags -- Print the tags of bibliography entries.
  sort-by-letters -- Bibliography styles for alphabetic sorting.
  splitbib -- Split and reorder your bibliography.
  uni-wtal-ger --
  urlbst -- Web support for BibTeX.
  usebib -- A simple bibloography processor.
  vak -- BibTeX style for Russian Theses, books, etc.
  xcite -- Use citation keys from a different document.

Package: texlive-extra-utils
Architecture: all
Depends: python, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516), texlive-binaries (>= 2012-0)
Conflicts: pdfjam (<< 2011)
Recommends: ruby | ruby-interpreter, ghostscript
Provides: pdfjam
Suggests: purifyeps, chktex, latexmk, dvipng, xindy, dvidvi, fragmaster, lacheck, latexdiff
Replaces: pdfjam
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and
   macros for DVI file manipulation, literate programming, patgen, and the
   TeX Works Editor.
 .
 This package includes the following CTAN packages:
  a2ping -- Advanced PS, PDF, EPS converter.
  bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99.
  bibtexu --
  bundledoc -- Bundle together all the files needed to build a LaTeX
   document.
  ctanify -- Prepare a package for upload to CTAN.
  ctanupload -- Support for users uploading to CTAN.
  ctie -- C version of tie (merging Web change files).
  cweb -- A Web system in C.
  de-macro -- Expand private macros in a document.
  detex -- Strip TeX from a source file.
  dtl -- Tools to dis-assemble and re-assemble DVI files.
  dvi2tty -- Produce ASCII from DVI.
  dviasm -- A utility for editing DVI files.
  dvicopy -- Copy DVI files, flattening VFs.
  dviljk -- DVI to Laserjet output.
  dvipos --
  dvisvgm -- Converts DVI files to Scalable Vector Graphics format (SVG).
  findhyph -- Find hyphenated words in a document.
  hyphenex -- Generate a hyphenation exceptions file.
  installfont -- A bash script for installing a LaTeX font family.
  latex2man -- Translate LaTeX-based manual pages into Unix man format.
  latexfileversion -- Prints the version and date of a LaTeX class or style
   file.
  listings-ext -- Automated input of source.
  match_parens -- Easily detect mismatched parens.
  mkjobtexmf -- Generate a texmf tree for a particular job.
  patgen -- Generate hyphenation patterns.
  pdfcrop -- Crop PDF graphics.
  pdfjam -- Shell scripts interfacing to pdfpages.
  pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
  pkfix -- Replace pk fonts in PostScript with Type 1 fonts.
  pkfix-helper -- Make PostScript files accessible to pkfix.
  seetexk -- Utilities for manipulating DVI files.
  sty2dtx -- Create a .dtx file from a .sty file.
  synctex --
  texcount -- Count words in a LaTeX document.
  texdef -- Display the definitions of TeX commands.
  texdiff -- Compare documents and produce tagged merge.
  texdirflatten -- Collect files related to a LaTeX job in a single
   directory.
  texliveonfly -- On-the-fly download of missing TeX live packages.
  texloganalyser -- Analyse TeX logs.
  texware -- Utility programs for use with TeX.
  tie -- Allow multiple web change files.
  tpic2pdftex -- Use tpic commands in PDFTeX.
  typeoutfileinfo -- Display class/package/file information.
  web -- original web programs tangle and weave

Package: texlive-font-utils
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: ps2eps, ghostscript
Suggests: psutils, t1utils
Description: TeX Live: Graphics and font utilities
 Programs for conversion between font formats, testing fonts, virtual fonts,
   .gf and .pk manipulation, mft, fontinst, etc. Manipulating OpenType,
   TrueType, PostScript Type 1, and PostScript and other images.
 .
 This package includes the following CTAN packages:
  accfonts -- Utilities to derive new fonts from existing ones.
  afm2pl -- AFM font metrics to TeX pl converter.
  dosepsbin -- Deal with DOS binary EPS files.
  epstopdf --
  fontware --
  ps2pkm -- Generate a PK font from an Adobe Type 1 font.
  pstools -- Produce Encapsulated PostScript from PostScript.
  dvipsconfig -- Collection of dvips PostScript headers.
  fontinst -- Help with installing fonts for TeX and LaTeX.
  fontools -- Tools to simplify using fonts (especially TT/OTF ones).
  mf2pt1 -- Produce PostScript Type 1 fonts from Metafont source.
  ttfutils --

Package: texlive-formats-extra
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Extra formats
 Collected TeX `formats', i.e., large-scale macro packages designed to be
   dumped into .fmt files, other than most common ones, such as latex and
   context.
 .
 This package includes the following CTAN packages:
  edmac -- Typeset scholarly edition.
  eplain -- Extended plain tex macros.
  mltex -- The MLTeX system.
  psizzl -- A TeX format for physics papers.
  startex -- An XML-inspired format for student use.
  texsis -- Plain TeX macros for Physicists.

Package: texlive-generic-extra
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Extra generic packages
 Extra packages that work with multiple formats, typically both TeX and
   LaTeX.
 .
 This package includes the following CTAN packages:
  abbr -- Simple macros supporting abreviations for Plain and LaTeX.
  abstyles -- Adaptable BibTeX styles.
  barr -- Diagram macros by Michael Barr.
  bitelist -- Split list, in TeX's mouth.
  borceux -- Diagram macros by Francois Borceux.
  c-pascal -- Typeset Python, C and Pascal programs.
  chronosys -- Drawing time-line diagrams.
  colorsep -- Color separation.
  dinat -- Bibliography style for German texts.
  dirtree -- Display trees in the style of windows explorer.
  dowith --
  eijkhout -- Victor Eijkhout's packages.
  encxvlna -- Insert nonbreakable spaces, using encTeX.
  epigram -- Display short quotations.
  fenixpar -- One-shot changes to token registers such as \everypar.
  fltpoint -- Simple floating point arithmetic.
  fntproof -- A programmable font test pattern generator.
  gates -- Support for writing modular and customisable code.
  ifetex -- Provides \ifetex switch.
  iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
  insbox -- A TeX macro for inserting pictures/boxes into paragraphs.
  lecturer -- On-screen presentations for (almost) all formats.
  librarian -- Tools to create bibliographies in TeX.
  mathdots -- Commands to produce dots in math that respect font size.
  metatex -- Incorporate MetaFont pictures in TeX source.
  midnight -- A set of useful macro tools.
  multi --
  navigator -- PDF features across formats and engines.
  ofs -- Macros for managing large font collections.
  pdf-trans -- A set of macros for various transformations of TeX boxes.
  shade -- Shade pieces of text.
  systeme -- Format systems of equations.
  tabto-generic -- "Tab" to a measured position in the line.
  texapi -- Macros to write format-independent packages.
  upca --
  xlop -- Calculates and displays arithmetic operations.
  yax -- Yet Another Key System.

Package: texlive-math-extra
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-fonts-recommended (>= 2012.20120516)
Replaces: texlive-latex-extra-doc (<< 2010), texlive-latex-extra-doc (<< 2011)
Description: TeX Live: Advanced math typesetting

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-extra
# $Id: rules.in 5626 2012-07-29 14:17:10Z preining $

PACKAGES=texlive-bibtex-extra texlive-extra-utils texlive-font-utils texlive-formats-extra texlive-generic-extra texlive-math-extra texlive-plain-extra texlive-latex-extra texlive-fonts-extra texlive-music texlive-games texlive-pstricks texlive-publishers texlive-humanities texlive-science texlive-fonts-extra-doc texlive-humanities-doc texlive-latex-extra-doc texlive-pstricks-doc texlive-publishers-doc texlive-science-doc
METAPACKAGES=texpower pdfjam texlive-latex3

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats} ; \
	done
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  if [ -d debian/$$i.root ] ; then bash debian/merge-dist-tree debian/$$i.root debian/$$i ; fi ; \
	  bash debian/generate-license-file $$i ; \
	  install -D --mode=644 debian/$$i.override debian/$$i/usr/share/lintian/overrides/$$i ; \
	  install -D --mode=755 debian/bug.script debian/$$i/usr/share/bug/$$i/script ; \
	  install -D --mode=644 debian/bug.control debian/$$i/usr/share/bug/$$i/control ; \
	  bash debian/create-doc-links $$i texlive-doc > debian/$$i.links ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	  if [ -r debian/$$i.README ] ; then cat debian/$$i.README > debian/$$i.README.Debian ; fi ; \
	  cat debian/README.Debian >> debian/$$i.README.Debian ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_installdocs -A debian/README.source
	dh_installtex -A --priority=10 --flavor=lsr:full,tree:texlive
	dh_installchangelogs
	bash debian/convert-info-files-to-unix.sh
	bash debian/fix-manpages.sh
	dh_installinfo
	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
